Summary:        A powerful declarative parser/builder for binary data
Name:           python-construct
Version:        2.10.68
Release:        7%{?dist}
License:        MIT
URL:            http://construct.readthedocs.org
Source0:        https://pypi.python.org/packages/source/c/construct/construct-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools

%description
Construct is a powerful declarative parser (and builder) for binary data.


%package -n python3-construct
Summary:        %summary
Requires:       python3-six

%description -n python3-construct
Construct is a powerful declarative parser (and builder) for binary data.

Instead of writing imperative code to parse a piece of data, you declaratively
define a data structure that describes your data. As this data structure is not code,
you can use it in one direction to parse data into Pythonic objects, and in the other
direction, convert(build) objects into binary data.


%prep
%autosetup -n construct-%{version}


%build
%{py3_build}


%install
%{py3_install}


%files -n python3-construct
%license LICENSE
%doc README.rst
%{python3_sitelib}/construct
%{python3_sitelib}/construct-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.68-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.68-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.68-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.68-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.68-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.68-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 06 2023 rockerzhu <rockerzhu@tencent.com> - 2.10.68-1
- Initial build
